org.apache.synapse.securevault.secret.handler

## Class HardCodedSecretCallbackHandler

- java.lang.Object
- - org.apache.synapse.securevault.secret.AbstractSecretCallbackHandler
  - - org.apache.synapse.securevault.secret.handler.HardCodedSecretCallbackHandler

- All Implemented Interfaces:
    SecretCallbackHandler

      public class HardCodedSecretCallbackHandler
      extends AbstractSecretCallbackHandler

  Hard-coded passwords as secrets .This is just a demonstration example and need to be adopted as user requirements. In the production environment, this may be 'close sourced' - only provided a binary contains implementation class. Then, it is needed to use de- compilers to see password.

- - ### Field Summary

    - ### Fields inherited from class org.apache.synapse.securevault.secret.AbstractSecretCallbackHandler

      `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HardCodedSecretCallbackHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `handleSingleSecretCallback(SingleSecretCallback singleSecretCallback)` Handle A SingleSecretCallback - fill the secret

    - ### Methods inherited from class org.apache.synapse.securevault.secret.AbstractSecretCallbackHandler

      `handle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HardCodedSecretCallbackHandler

          public HardCodedSecretCallbackHandler()

  - ### Method Detail

    - #### handleSingleSecretCallback

          protected void handleSingleSecretCallback(SingleSecretCallback singleSecretCallback)

      Description copied from class: `AbstractSecretCallbackHandler`
      Handle A SingleSecretCallback - fill the secret
      Specified by:
        `handleSingleSecretCallback` in class `AbstractSecretCallbackHandler`
      Parameters:
        `singleSecretCallback` - SingleSecretCallback instance

Copyright © 2005-2020 Apache Software Foundation. All Rights Reserved.